package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.text.DecimalFormat;

public class ZybConsumptionModelDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String consumptionAmount = "0";   //当月消费金额
    private String productName;         //购买服务类型（作业吧月卡）
    private String productValidity;	    //服务有效期2017.09.03-2018.08.20
    private String salesmanName;        //跟进销售人员姓名
    private String teacherName;	        //跟进学习导师姓名


    public String getConsumptionAmount() {
        return consumptionAmount;
    }

    public void setConsumptionAmount(float consumptionAmount) {
        if (consumptionAmount > 0f){
            DecimalFormat df1 = new DecimalFormat("####.00");
            this.consumptionAmount = df1.format(consumptionAmount);
        }
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductValidity() {
        return productValidity;
    }

    public void setProductValidity(String productValidity) {
        this.productValidity = productValidity;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
